# This file contains system properties that should 
# be used as defaults by the I-Scream CORE
#
# $Author: tdb1 $
# $Id: default.properties,v 1.15 2001/05/29 17:02:34 tdb1 Exp $


# These properties are REQUIRED by the system to tell it
# which ORB to use.
org.omg.CORBA.ORBClass= org.jacorb.orb.ORB
org.omg.CORBA.ORBSingletonClass= org.jacorb.orb.ORBSingleton
jdbc.drivers= org.gjt.mm.mysql.Driver

# The logging verbosity to be used by the system,
# ie, how much information will be printed to the
# log file, where the number is:
#
#   FATAL   - (0) Fatal or Critical Errors
#   ERROR   - (1) All Errors
#   WARNING - (2) Warnings
#   SYSMSG  - (3) System Component messages
#   SYSINIT - (4) System Component initialisation
#   DEBUG   - (5) All debugging messages
#
# [default = 3]
uk.org.iscream.cms.server.Verbosity= 5

# The directory containing all the configuration files 
# for the system
#
# [default = cwd]
uk.org.iscream.cms.server.ConfigurationLocation=./etc
uk.org.iscream.cms.server.SystemConfigurationFile=system.conf

# The time in seconds that the system should wait before
# trying again to start it.
uk.org.iscream.cms.server.ComponentTimeout=5

# Currently unused, but will allow the 
# user to select what logger they use
# Please choose the Logger class that you wish to use
# for system logging. Choices are, at present;
#
#   ScreenLogger    - Logs everything to the screen
#     [Params = none]
#   FileLogger      - Logs everything to a file
#     [FileLogger.filename = logfile name]
#   MultiLogger     - Logs to both the screen and a file
#     [uses parameters of the loggers it uses]
#   SimpleGUILogger - Logs to a nice GUI !
#     [SimpleGUILogger.maxMessages = maximum number of lines to
#                                    hold in the window]
#   SimpleSwingLogger - Logs to a nicer GUI!
#     [SimpleSwingLogger.maxMessages = maximum number of lines to
#                                      hold in the window]
#   
# [default = ScreenLogger]
uk.org.iscream.cms.server.LoggerPackage=uk.org.iscream.cms.server.core.loggers
uk.org.iscream.cms.server.LoggerClass=FileLogger

uk.org.iscream.cms.server.LoggerClass.FileLogger.filename=/home/cut/iscream/www/server.log

uk.org.iscream.cms.server.LoggerClass.SimpleSwingLogger.maxMessages=1000
uk.org.iscream.cms.server.LoggerClass.SimpleGUILogger.maxMessages=1000

# A list of components that should be started by the component manager
# ORDER IS IMPORTANT
# Ensure you read all documentation regarding the order of starting
# components
#
# Core - Must be first
# DBInterface & ClientInterface - Must be before RootFilter
# RootFilter - Must be after above, and before Filter
# Filter - Must be after above
# FilterManager - Must be after the filters 
# Client - Must be after the ClientInterface, but usually last
#
# Thus a typical order is:
# Core;DBInterface;ClientInterface;RootFilter;Filter;FilterManager;Client
uk.org.iscream.cms.server.ComponentList=Core;DBInterface;ClientInterface;RootFilter;Filter;FilterManager;Client
